Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.messages
Class NodeAuthenticationFailureMessage

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
          org.eclipse.ohf.ihe.atna.audit.messages.NodeAuthenticationFailureMessage

All Implemented Interfaces:
  java.io.Serializable

    public class NodeAuthenticationFailureMessage

extends AuditMessage
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_SAMPLE_PROPERTY`

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`DB_AuditMessage, VARCHAR_LENGTH`

Constructor Summary
`NodeAuthenticationFailureMessage(int eventOutcomeIndicator, java.lang.String reportingUserID, java.lang.String reportingActor, java.net.URI failedURI, java.lang.String failureDescription)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.lang.String` | `getSampleProperty()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setSampleProperty(java.lang.String value)`

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`getAuditSourceIdentification, getEventIdentification, getParticipantObjectIdentification, IsValid, main, parse, setActiveParticipant, setAuditSourceId, setAuditSourceIdentification, setEventDateTime, setEventIdentification, setEventOutcomeIndicator, setParticipantObjectId, setParticipantObjectQuery, setParticipationObjectIdentification, setUserIDActiveParticipantConsumer, setUserIDActiveParticipantRegistry, toHtml, toXml`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SAMPLE_PROPERTY

    public static final java.lang.String PROP_SAMPLE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### NodeAuthenticationFailureMessage

    public NodeAuthenticationFailureMessage(int eventOutcomeIndicator,
                                            java.lang.String reportingUserID,
                                            java.lang.String reportingActor,
                                            java.net.URI failedURI,
                                            java.lang.String failureDescription)
                                     throws javax.xml.parsers.ParserConfigurationException,
                                            javax.xml.parsers.FactoryConfigurationError,
                                            ATNAException

Parameters:
  `eventOutcomeIndicator` -
  `reportingUserID` -
  `reportingActor` -
  `failedURI` -
  `failureDescription` -
  `eventDateTime` -
Throws:
  `javax.xml.parsers.ParserConfigurationException`
  `javax.xml.parsers.FactoryConfigurationError`
  `ATNAException`

Method Detail

### getSampleProperty

    public java.lang.String getSampleProperty()

### setSampleProperty

    public void setSampleProperty(java.lang.String value)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD